Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81282 - No pcmcia devices found (HP OmniBook XT6050) after upgrade.
Summary: No pcmcia devices found (HP OmniBook XT6050) after upgrade.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs
Version: 9
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
: 88054 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-07 15:49 UTC by Ivo Sarak
Modified: 2007-04-18 16:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-14 18:09:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:172 normal SHIPPED_LIVE : Updated 2.4 kernel fixes security vulnerabilities and various bugs 2003-09-05 04:00:00 UTC

Description Ivo Sarak 2003-01-07 15:49:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
As a direct result of bug
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=80882  - can not start this
machine up with kernel 2.4.20-2.2, I must start up this machine with earlier
kernel (kernel 2.4.18-19-8-0) and when there is no pcmcia adapters found on this
machine anymore.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1) Upgrade HP OmniBook XT6050 to Phoebe.
2) Enable pcmcia and try some pcmcia card with it.

Actual Results:  No pcmcia cards found (punch of errors).

Expected Results:  No errors and working cards.

Additional info:

/var/log/messages will contain:
pcmcia: modprobe: Can't locate module
/lib/modules/2.4.18-19.8.0/pcmcia/pcmcia-core.o
cardmgr[489]: starting, version is 3.1.31
pcmcia: modprobe: Can't locate module
/lib/modules/2.4.18-19.8.0/pcmcia/yenta-socket.o
cardmgr[489]:config error, file 'config' line 1056: syntax error
cardmgr[489]:config error, file 'config' line 2136: no function bindings
pcmcia: modprobe: Can't locate module /lib/modules/2.4.18-19.8.0/pcmcia/ds.o
cardmgr[489]: no pcmcia driver in /proc/devices

These files are there (actually links to these files) and when to manually
insmod these then they load fine.

And after a (re)start of cardmgr - there are pcmcia devices available again!  

What is this 'config' file and why these files are not found at startup?

Comment 1 Bill Nottingham 2003-01-08 05:26:50 UTC
Does the rawhide kernel-pcmcia-cs solve this for you?

Comment 2 Ivo Sarak 2003-01-08 07:58:23 UTC
No. Only difference is that all error messages are gone (only message is
"pcmcia: started successfully").
Still no pcmcia_core.o, yenta-socket.o or ds.o module are loaded and no pcmcia
devices are found.

Comment 3 Ivo Sarak 2003-02-03 12:31:35 UTC
No changes with Phoebe Beta 8.0.93.

Comment 4 Ivo Sarak 2003-02-10 07:22:35 UTC
No changes with kernel-pcmcia-cs-3.1.31-13.i386.rpm .

Comment 5 Ivo Sarak 2003-03-10 15:53:49 UTC
Any news?


Comment 6 Ivo Sarak 2003-03-15 13:03:20 UTC
It is strange that pcmcia is unable to start up at bootime, but fortunately I
get the pcmcia working by running:

modprobe pcmcia_core
modprobe yenta_socket
modprobe ds
cardmgr



Comment 7 Ivo Sarak 2003-03-26 08:12:08 UTC
As the release of RedHat Linux 9.0 is imminent, what is the status of this bug?


Comment 8 Ivo Sarak 2003-04-07 16:31:15 UTC
Is this the reason?:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=88054

Comment 9 Arjan van de Ven 2003-05-14 18:09:35 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-172.html


Comment 10 Bill Nottingham 2004-09-08 06:52:14 UTC
*** Bug 88054 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.